package com.jacobs.dataSource;

/**
 * The DataFieldIDs interface contains a list of field names and
 * constants to indicate where the fields are in the database.
 *
 * @author Kurt Jacobs
 *
 * Permission is hereby granted to use, copy, modify and/or distribute
 * this software for commercial and non-commercial purposes.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT WARRANTY. ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE TO ANY PARTY FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE.
 *
 */

public interface DataFieldIDs
{
    String[] FIELD_IDS =
     {
      "Event ID",
      "Performer",
      "Genre",
      "Date",
      "Time",
      "Tickets",
      "Price",
    };
    int EVENT_ID = 0;
    int PERFORMER_ID = 1;
    int GENRE_ID = 2;
    int DATE_ID = 3;
    int TIME_ID = 4;
    int TICKET_ID = 5;
    int PRICE_ID = 6;
    int NUMBER_FIELDS = FIELD_IDS.length;
}

