package com.jacobs.reservation;

import com.jacobs.dataSource.DatabaseRecord;
import com.jacobs.pubsub.Event;

/**
 * The ReservationDataUpdate event is published when a change has occurred in
 * the database.  It contains the record that has changed.  Any models in the
 * system that are currently displaying this record can update their data
 * model to reflect the new state of this data.
 *
 * @author Kurt Jacobs
 *
 * Permission is hereby granted to use, copy, modify and/or distribute
 * this software for commercial and non-commercial purposes.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT WARRANTY. ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE TO ANY PARTY FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE.
 *
 */

public class ReservationDataUpdate extends Event
{
    private DatabaseRecord mRecord = null;

    public ReservationDataUpdate(DatabaseRecord record)
    {
        setEventType(EventTypes.DATA_UPDATE_EVENT);
        mRecord = record;
    }

    public DatabaseRecord getRecord()
    {
        return mRecord;
    }
}

