package com.jacobs.reservation;

import com.jacobs.pubsub.Event;

/**
 * The ReservationQueryRequest event is posted when as a means to request
 * data that satisfies a particular query.
 *
 * @author Kurt Jacobs
 *
 * Permission is hereby granted to use, copy, modify and/or distribute
 * this software for commercial and non-commercial purposes.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT WARRANTY. ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE TO ANY PARTY FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE.
 *
 */


public class ReservationQueryRequest extends Event
{
    private String mQueryString = null;

    public ReservationQueryRequest()
    {
        setEventType(EventTypes.QUERY_REQUEST_EVENT);
    }

    public void setQuery(String queryString)
    {
        mQueryString = queryString;
    }

    public String getQuery()
    {
        return mQueryString;
    }
}
