package com.jacobs.reservation;

import com.jacobs.pubsub.Event;
import java.util.Collection;

/**
 * The ReservationQueryResponse event is published as a response to a query
 * request and it contains a list of records that satisfy that query.
 *
 * @author Kurt Jacobs
 *
 * Permission is hereby granted to use, copy, modify and/or distribute
 * this software for commercial and non-commercial purposes.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT WARRANTY. ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE TO ANY PARTY FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE.
 *
 */

public class ReservationQueryResponse extends Event
{
    private Collection mQueryResult = null;

    public ReservationQueryResponse(Collection queryResult)
    {
        setEventType(EventTypes.QUERY_RESPONSE_EVENT);
        mQueryResult = queryResult;
    }

    public Collection getQueryResult()
    {
        return mQueryResult;
    }


}
