package com.jacobs.reservation;

import com.jacobs.pubsub.Event;

/**
 * The ReservationStatus event is published when something in the system
 * wishes to inform the user of some event.
 *
 * Note: This simplistic example is designed to illustrate an implmentation of
 * a Publishers Subscriber pattern and does not address issues associated
 * with status priority etc.
 *
 * @author Kurt Jacobs
 *
 * Permission is hereby granted to use, copy, modify and/or distribute
 * this software for commercial and non-commercial purposes.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT WARRANTY. ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE TO ANY PARTY FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE.
 *
 */


public class ReservationStatus extends Event
{
    private String mStatus = null;

    public ReservationStatus()
    {
    }

    public ReservationStatus(String status)
    {
        setEventType(EventTypes.STATUS_EVENT);
        setStatus(status);
    }

    public void setStatus(String status)
    {
        mStatus = status;
    }

    public String getStatus()
    {
        return mStatus;
    }
}
