package com.jacobs.reservation;

import com.jacobs.pubsub.Event;

/**
 * The TicketReservationRequest is made to secure tickets to an event.
 *
 * Note: This simplistic example is designed to illustrate an implmentation of
 * a Publisher Subscriber Pattern and does not address the complexities of
 * a genuine reservation system.
 *
 * @author Kurt Jacobs
 *
 * Permission is hereby granted to use, copy, modify and/or distribute
 * this software for commercial and non-commercial purposes.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT WARRANTY. ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE TO ANY PARTY FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE.
 *
 */

public class TicketReservationRequest extends Event
{
    private int mTicketsRequested = 0;

    public TicketReservationRequest(int ticketsRequested)
    {
        setEventType(EventTypes.TICKET_REQUEST_EVENT);
        mTicketsRequested = ticketsRequested;
    }

    public int getTicketsRequested()
    {
        return mTicketsRequested;
    }
}

