package com.jacobs.reservation;

/**
 * The TicketsAvailableStatus extends the ReservationStatus event and
 * and intended to provide information about how many tickets are available
 * for a particular event.  Objects can post this information by setting
 * how many tickets are left and a uniform status is created so that the
 * status string remains the same regardless of who is originated from.
 *
 * @author Kurt Jacobs
 *
 * Permission is hereby granted to use, copy, modify and/or distribute
 * this software for commercial and non-commercial purposes.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT WARRANTY. ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE TO ANY PARTY FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE.
 *
 */

public class TicketsAvailableStatus extends ReservationStatus
{
    public TicketsAvailableStatus(int ticketsAvailable)
    {
        setEventType(EventTypes.STATUS_EVENT);
        if (ticketsAvailable == 0)
        {
            setStatus("There are no tickets available for this event");
        }
        else
        {
            setStatus("There are " + ticketsAvailable + " ticket(s) available for this event");
        }
    }

}
